This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 170206 - booty does not make use of grub's stage 1.5 loaders
booty does not make use of grub's stage 1.5 loaders
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: booty (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-08 21:41 EDT by Steven Elliott
Modified: 2008-03-09 03:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 03:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Elliott 2005-10-08 21:41:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc3 Firefox/1.0.6

Description of problem:
booty does not make use of grub's stage 1.5 boot loaders, which understand filesystems well enough to load the next stage (stage2).  Consequently, the first sector of stage2 must not move as it is hard coded in the 512 byte stage1 boot sector.

This may pose a problem for users that aren't aware of how boot loaders work who might attempt to restore /boot from a backup copy, not knowing that it will change the first sector of stage2 and render the system unbootable.

Version-Release number of selected component (if applicable):
booty-0.44-1 - now

How reproducible:
Always

Steps to Reproduce:
1. Use the "blocklist" command in the "grub" shell to get the blocklist of /boot/grub/stage2
2. Make a backup copy of stage2
    cp stage2 stage2.bak
3. Delete the original
    rm stage2
4. Check that the first sector of the blocklist of stage2 has changed.
5. Make sure that all unused sectors are overwritten.
    cp /dev/zero /boot # fails when it is full
    sync
    rm /boot/zero
6. Attempt to boot.

Actual Results:  The stage1 boot loader fails because the first sector of stage2 has changed.

Expected Results:  booty should just trust grub to install correctly by doing the equivalent of
    root (hd - wherever)
    setup
in the grub shell.


Additional info:

A possibe downside might be performance (an additional loader), but at 8k I can't immagine the stage 1.5 loader slows things down much.

Another downside might be if Fedora does not want to tamper with the loader installed to the first tack (data immediately after the boot sector).  But that existing data is probably irrelevant once grub is installed since it probably has to do with the provious boot loader, if any.
Comment 1 Christian Iseli 2007-01-19 19:40:06 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-03-09 03:26:58 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.